Mailing List Archive

r1464 - trunk/varnish-cache/debian
Author: ssm
Date: 2007-05-22 17:35:54 +0200 (Tue, 22 May 2007)
New Revision: 1464

Modified:
trunk/varnish-cache/debian/varnish.init
trunk/varnish-cache/debian/varnish.varnishlog.init
Log:
Add exit status 1 if we fail to start, or reload.
Remove "oknodo" to actually provide an error message if we cannot stop the service.

Modified: trunk/varnish-cache/debian/varnish.init
===================================================================
--- trunk/varnish-cache/debian/varnish.init 2007-05-22 15:33:41 UTC (rev 1463)
+++ trunk/varnish-cache/debian/varnish.init 2007-05-22 15:35:54 UTC (rev 1464)
@@ -51,6 +51,7 @@
else
log_end_msg 1
cat $output
+ exit 1
fi
rm $output
;;
@@ -58,7 +59,7 @@
log_daemon_msg "Stopping $DESC"
log_progress_msg $NAME
if start-stop-daemon \
- --stop --quiet --pidfile $PIDFILE --oknodo --retry 10 \
+ --stop --quiet --pidfile $PIDFILE --retry 10 \
--exec $DAEMON; then
log_end_msg 0
else

Modified: trunk/varnish-cache/debian/varnish.varnishlog.init
===================================================================
--- trunk/varnish-cache/debian/varnish.varnishlog.init 2007-05-22 15:33:41 UTC (rev 1463)
+++ trunk/varnish-cache/debian/varnish.varnishlog.init 2007-05-22 15:35:54 UTC (rev 1464)
@@ -38,6 +38,7 @@
else
log_end_msg 1
cat $output
+ exit 1
fi
rm $output
;;
@@ -45,7 +46,7 @@
log_daemon_msg "Stopping $DESC"
log_progress_msg $NAME
if start-stop-daemon \
- --stop --quiet --pidfile $PIDFILE --oknodo --retry 10 \
+ --stop --quiet --pidfile $PIDFILE --retry 10 \
--exec $DAEMON; then
log_end_msg 0
else